# Method Standards.PKCS.DSA.parse_public_key()

Method parse_public_key

  ``Crypto.DSA` parse_public_key(`string` `key`, `Gmp.mpz` `p`, `Gmp.mpz` `q`, `Gmp.mpz` `g`)`

Description

  Decodes a DER-encoded DSAPublicKey structure.

Parameter `key`

  DSAPublicKey provided in ASN.1 DER-encoded format

Parameter `p`

  Public parameter p, usually transmitted in the algoritm identifier.

Parameter `q`

  Public parameter q, usually transmitted in the algoritm identifier.

Parameter `g`

  Public parameter g, usually transmitted in the algoritm identifier.

Returns

  Crypto.DSA object